rio-0.1.22.0: A standard library for Haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

RIO.HashMap.Partial

Contents

- Basic interface

Description

Strict `HashMap` partial functions. Import as:

    import qualified RIO.HashMap.Partial as HM'

Synopsis

- (!) :: (Eq k, Hashable k, HasCallStack) => HashMap k v -> k -> v

# Basic interface

(!) :: (Eq k, Hashable k, HasCallStack) => HashMap k v -> k -> v infixl 9 #

\(O(\log n)\) Return the value to which the specified key is mapped. Calls `error` if this map contains no mapping for the key.